<?php

$wp_analytify   = new WP_Analytify();

$start_date_val = strtotime("- 7 days");
$end_date_val   = strtotime("now");
$start_date     = date( "Y-m-d", $start_date_val);
$end_date       = date( "Y-m-d", $end_date_val);

if( isset( $_POST["view_data"] ) ) {

  $s_date   = $_POST["st_date"];
  $ed_date  = $_POST["ed_date"];

}

if( isset( $s_date ) ) {
  $start_date = $s_date;
}

if( isset( $ed_date ) ) {
  $end_date = $ed_date;
}

// Fetch Dashboard Profile ID
$dashboard_profile_ID = get_option( 'pt_webprofile_dashboard' );

// Delete the cache
if( get_option('analytify_dashboard_cache') == 1 )
	delete_dashboard_transients( $dashboard_profile_ID, $start_date, $end_date );

?>
<div class="wrap">
	<h2 class='opt-title'><span id='icon-options-general' class='analytics-options'><img src="<?php echo plugins_url('wp-analytify-pro/images/wp-analytics-logo.png');?>" alt=""></span>
		<?php printf( esc_html__( '%1$s Dashboard', 'wp-analytify' ), 'WP Analytify Plugin' ); ?>
	</h2>

  	<?php

  	if( WP_ANALYTIFY_FUNCTIONS::wpa_check_profile_selection( 'Analytify' ) ) return;

  	/*
	 * Check with roles assigned at dashboard settings.
  	 */
	$is_access_level = get_option( 'access_role_dashboard' );

	if( $wp_analytify->pa_check_roles( $is_access_level )) {

		$acces_token  = get_option( "post_analytics_token" );
		if( $acces_token ) {
	  
		?>
			<div id="col-container">
				<div class="metabox-holder">
			  <div class="postbox" style="width:100%;">
				  <div id="main-sortables" class="meta-box-sortables ui-sortable">
					<div class="postbox ">
					  <div class="handlediv" title="Click to toggle"><br />
					  </div>
					  <h3 class="hndle">
						<span>
						<?php

						if( get_option("pt_webprofile_name") )
							echo sprintf( esc_html__( 'Complete Statistics of the Site (%1$s) and profile view (%4$s) Starting From %2$s to %3$s', 'wp-analytify'), get_option("pt_webprofile_url"), date("jS F, Y", strtotime($start_date)), date("jS F, Y", strtotime($end_date)), get_option("pt_webprofile_name") );
						else
							echo sprintf( esc_html__( 'Complete Statistics of the Site (%1$s) Starting From %2$s to %3$s', 'wp-analytify'), get_option("pt_webprofile_url"), date("jS F, Y", strtotime($start_date)), date("jS F, Y", strtotime($end_date)) );
						
						?>
						</span>
					  </h3>
					  <div class="inside">
						<div class="pa-filter">
						  <form action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>" method="post">
							<input type="text" id="st_date" name="st_date" value="<?php echo $start_date; ?>">
							<input type="text" id="ed_date" name="ed_date" value="<?php echo $end_date; ?>">
							<input type="submit" id="view_data" name="view_data" value="View Stats" class="button-primary btn-green">
						  </form>
						</div>

						<?php

						$show_settings = array();
						$show_settings = get_option('dashboard_panels');

						// Real time stats //

						if (is_array( $show_settings ) and in_array( 'show-real-time', $show_settings )){

							include ANALYTIFY_ROOT_PATH . '/views/admin/realtime-stats.php'; 
							pa_include_realtime( $wp_analytify );

						}

						// End Real time stats //

						// General stats //
						
						if (is_array( $show_settings ) and in_array( 'show-overall-dashboard', $show_settings )){

							$stats = get_transient( md5('show-overall-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) ) ;
							if( $stats === false ) {
								echo 'Ok';
								$stats = $wp_analytify->pa_get_analytics_dashboard( 'ga:sessions,ga:bounces,ga:newUsers,ga:entrances,ga:pageviews,ga:sessionDuration,ga:avgTimeOnPage,ga:users', $start_date, $end_date);
								set_transient(  md5('show-overall-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) , $stats, 60 * 60 * 20 );
							}

							if ( isset( $stats->totalsForAllResults ) ) {
							  include ANALYTIFY_ROOT_PATH . '/views/admin/general-stats.php'; 
							  pa_include_general($wp_analytify,$stats);
							}
						}
						
						// End General stats //
						
						// Top Pages stats //

						if (is_array( $show_settings ) and in_array( 'show-top-pages-dashboard', $show_settings )){

							$top_page_stats = get_transient( md5('show-top-pages-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) ) ;
							if( $top_page_stats === false ) {
								$top_page_stats = $wp_analytify->pa_get_analytics_dashboard('ga:pageviews', $start_date, $end_date, 'ga:PageTitle', '-ga:pageviews', false, 5);
								set_transient(  md5('show-top-pages-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) , $top_page_stats, 60 * 60 * 20 );
							}

							if ( isset( $top_page_stats->totalsForAllResults ) ) {
							  include ANALYTIFY_ROOT_PATH . '/views/admin/top-pages-stats.php'; 
							  pa_include_top_pages_stats( $wp_analytify, $top_page_stats );
							}
						}

						// End Top Pages stats //

						// Country stats //

						if (is_array( $show_settings ) and in_array( 'show-country-dashboard', $show_settings )){

							$country_stats = get_transient( md5('show-country-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) ) ;
							if( $country_stats === false ) {
								$country_stats = $wp_analytify->pa_get_analytics_dashboard( 'ga:sessions', $start_date, $end_date, 'ga:country', '-ga:sessions', false, 5);
								set_transient(  md5('show-country-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) , $country_stats, 60 * 60 * 20 );
							}

							if ( isset( $country_stats->totalsForAllResults )) {
							  include ANALYTIFY_ROOT_PATH . '/views/admin/country-stats.php'; 
							  pa_include_country($wp_analytify,$country_stats);
							}
						}

						// End Country stats //

						// City stats //

						if (is_array( $show_settings ) and in_array( 'show-city-dashboard', $show_settings )){

							$city_stats = get_transient( md5('show-city-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) ) ;
							if( $city_stats === false ) {
								$city_stats = $wp_analytify->pa_get_analytics_dashboard( 'ga:sessions', $start_date, $end_date, 'ga:city', '-ga:sessions', false, 5);
								set_transient(  md5('show-city-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) , $city_stats, 60 * 60 * 20 );
							}

							if ( isset( $city_stats->totalsForAllResults )) {
							  include ANALYTIFY_ROOT_PATH . '/views/admin/city-stats.php'; 
							  pa_include_city($wp_analytify,$city_stats);
							}
						}

						// End City stats //

						// Keywords stats //
						if (is_array( $show_settings ) and in_array( 'show-keywords-dashboard', $show_settings )){

							$keyword_stats = get_transient( md5('show-keywords-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) ) ;
							if( $keyword_stats === false ) {
								$keyword_stats = $wp_analytify->pa_get_analytics_dashboard( 'ga:sessions', $start_date, $end_date, 'ga:keyword', '-ga:sessions', false, 10);
								set_transient(  md5('show-keywords-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) , $keyword_stats, 60 * 60 * 20 );
							}

							if ( isset( $keyword_stats->totalsForAllResults )){
							  include ANALYTIFY_ROOT_PATH . '/views/admin/keywords-stats.php'; 
							  pa_include_keywords($wp_analytify,$keyword_stats);
							}

						}

						// End Keywords stats //

						// Social stats //
						
						if (is_array( $show_settings ) and in_array( 'show-social-dashboard', $show_settings )){

							$social_stats = get_transient( md5('show-social-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) ) ;
							if( $social_stats === false ) {
								$social_stats = $wp_analytify->pa_get_analytics_dashboard( 'ga:sessions', $start_date, $end_date, 'ga:socialNetwork', '-ga:sessions', false, 10);
								set_transient(  md5('show-social-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) , $social_stats, 60 * 60 * 20 );
							}

							if ( isset( $social_stats->totalsForAllResults )) {
							  include ANALYTIFY_ROOT_PATH . '/views/admin/social-stats.php'; 
							  pa_include_social( $wp_analytify, $social_stats );
							}
						}

						// End Social stats //

						// Browser stats //

						if (is_array( $show_settings ) and in_array( 'show-browser-dashboard', $show_settings )){

							$browser_stats = get_transient( md5('show-browser-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) ) ;
							if( $browser_stats === false ) {
								$browser_stats = $wp_analytify->pa_get_analytics_dashboard( 'ga:sessions', $start_date, $end_date, 'ga:browser,ga:operatingSystem', '-ga:sessions',false,5);
								set_transient(  md5('show-browser-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) , $browser_stats, 60 * 60 * 20 );
							}

							if ( isset( $browser_stats->totalsForAllResults ) ) {
							  include ANALYTIFY_ROOT_PATH . '/views/admin/browser-stats.php'; 
							  pa_include_browser( $wp_analytify,$browser_stats );
							}
						}
						
						// End Browser stats //
						
						// End OS stats //

						if (is_array( $show_settings ) and in_array( 'show-os-dashboard', $show_settings )){

							$operating_stats = get_transient( md5('show-os-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) ) ;
							if( $operating_stats === false ) {
								$operating_stats = $wp_analytify->pa_get_analytics_dashboard( 'ga:sessions', $start_date, $end_date, 'ga:operatingSystem,ga:operatingSystemVersion', '-ga:sessions', false, 5);
								set_transient(  md5('show-os-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) , $operating_stats, 60 * 60 * 20 );
							}

							$operating_stats = $wp_analytify->pa_get_analytics_dashboard( 'ga:sessions', $start_date, $end_date, 'ga:operatingSystem,ga:operatingSystemVersion', '-ga:sessions', false, 5);
							if ( isset( $city_stats->totalsForAllResults )) {
							  include ANALYTIFY_ROOT_PATH . '/views/admin/os-stats.php'; 
							  pa_include_operating($wp_analytify, $operating_stats);
							}
						}
						
						// End OS stats //

						// Start Mobile stats //

						if (is_array( $show_settings ) and in_array( 'show-mobile-dashboard', $show_settings )){

							$mobile_stats = get_transient( md5('show-mobile-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) ) ;
							if( $mobile_stats === false ) {
								$mobile_stats = $wp_analytify->pa_get_analytics_dashboard( 'ga:sessions', $start_date, $end_date, 'ga:mobileDeviceInfo', '-ga:sessions', false, 5);
								set_transient(  md5('show-mobile-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) , $mobile_stats, 60 * 60 * 20 );
							}

							if ( isset( $mobile_stats->totalsForAllResults )) {
							  include ANALYTIFY_ROOT_PATH . '/views/admin/mobile-stats.php'; 
							  pa_include_mobile($wp_analytify, $mobile_stats);
							}
						}

						// Referral stats //

						if (is_array( $show_settings ) and in_array( 'show-referrer-dashboard', $show_settings )){

							$referr_stats = get_transient( md5('show-referrer-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) ) ;
							if( $referr_stats === false ) {
								$referr_stats = $wp_analytify->pa_get_analytics_dashboard( 'ga:sessions', $start_date, $end_date, 'ga:source,ga:medium', '-ga:sessions', false, 10);
								set_transient(  md5('show-referrer-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) , $referr_stats, 60 * 60 * 20 );
							}

							if ( isset( $referr_stats->totalsForAllResults ) ) {
							  include ANALYTIFY_ROOT_PATH.'/views/admin/referrers-stats.php'; 
							  pa_include_referrers($wp_analytify, $referr_stats);
							}
						}

						// End Referral stats //

						// Exit stats //

						if (is_array( $show_settings ) and in_array( 'show-page-stats-dashboard', $show_settings )){

							$page_stats = get_transient( md5('show-page-stats-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) ) ;
							if( $page_stats === false ) {
								$page_stats = $wp_analytify->pa_get_analytics_dashboard('ga:entrances,ga:pageviews,ga:exits', $start_date, $end_date, 'ga:PagePath', '-ga:exits', false, 5);
								set_transient(  md5('show-page-stats-dashboard' . $dashboard_profile_ID . $start_date . $end_date ) , $page_stats, 60 * 60 * 20 );
							}

							if ( isset( $page_stats->totalsForAllResults ) ) {
							  include ANALYTIFY_ROOT_PATH . '/views/admin/pages-stats.php'; 
							  pa_include_pages_stats( $wp_analytify, $page_stats );
							}
						}

						// End Exit stats //
						?>
					  </div>
				  </div>
				</div>
			  </div>
				</div>
			</div>

		<?php 
		}
		else{
			esc_html_e( 'You must be authenticate to see the Analytics Dashboard.', 'wp-analytify' );
		}

	}else{

		esc_html_e( 'You don\'t have access to Analytify Dashboard.', 'wp-analytify' );
	}

?>
</div>
<script type="text/javascript">

jQuery(document).ready(function ($) {

  $("#st_date").datepicker({
			dateFormat : 'yy-mm-dd',
			changeMonth : true,
			changeYear : true,
						beforeShow: function() {
							 $('#ui-datepicker-div').addClass('mycalander');
					 },
			yearRange: '-9y:c+nn',
			defaultDate: "<?php echo $start_date;?>"    
		});

  $("#ed_date").datepicker({
			dateFormat : 'yy-mm-dd',
			changeMonth : true,
			changeYear : true,
						beforeShow: function() {
							 $('#ui-datepicker-div').addClass('mycalander');
					 },
			yearRange: '-9y:c+nn',
			defaultDate: "<?php echo $end_date; ?>"
		});
});

jQuery(window).resize(function(){
  drawChart();
  drawRegionsMap();
});
</script>