<?php

if( ! defined('ABSPATH') ){
	// exit if accessed directly
	exit;
}

/*
 * Handling all the AJAX calls in WP Analytify
 * @since 1.2.4 
 * @class WPANALYTIFY_AJAX
 */
class WPANALYTIFY_AJAX {

	public static function init(){

		$ajax_calls = array(
			'rated'	=> false
			);

		foreach ($ajax_calls as $ajax_call => $no_priv) {
			# code...
			add_action( 'wp_ajax_analytify_' . $ajax_call, array( __CLASS__, $ajax_call ) );

			if ( $no_priv ) {
				add_action( 'wp_ajax_nopriv_analytify_' . $ajax_call, array( __CLASS__, $ajax_call ) );
			}
		}
	}


	/**
	 * Triggered when clicking the rating footer.
	 * @since 1.2.4
	 */
	public static function rated() {

		update_option( 'analytify_admin_footer_text_rated', 1 );
		die();
	}
}

WPANALYTIFY_AJAX::init();